Subject: escalated
From: "Mohd Samar. Iqbal" <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Thu, 2 Jan 2020 16:38:07 -0700 (MST)

7146513100 - Teri Houston. He didn't receive a phone mount and said we are falsely advertising about it. 
He said "Is $14.99 really worth me taking you to the Better Business Bureau and any other agencies that I’m able to take you to for false advertising?" 

Ok, but when will you be sending me one. I purchased the Elite for the exact reason of the cell phone mount. 

Ok, so mail me one free of charge. You advertised it at Christmas as included, it’s on the box as included, and it’s in the paperwork as included. That was the difference between the Elite and the regular 5. That is the reason I Purchased the Elite. 

He was on chat and this is sales order SO1401714